# Interface Archivist<TReadResponse, TWriteResponse, TWrite, TId>

#### Type Parameters

- #### TReadResponse = Payload

- #### TWriteResponse = BoundWitness

- #### TWrite = TReadResponse

- #### TId = string

#### Hierarchy

- ReadArchivist<TReadResponse, TId>
- WriteArchivist<TReadResponse, TWriteResponse, TWrite, TId>
- StashArchivist<TWriteResponse>
  - Archivist

- Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:21

#####
Index

### Methods

all?
clear?
commit?
delete?
get
insert

## Methods

### `Optional` all

- all(): PromisableArray<TReadResponse, never>

- #### Returns PromisableArray<TReadResponse, never>

  Inherited from ReadArchivist.all

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:9

### `Optional` clear

- clear(): Promisable<void, never>

- #### Returns Promisable<void, never>

  Inherited from WriteArchivist.clear

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:13

### `Optional` commit

- commit(): Promisable<TWriteResponse[], never>

- #### Returns Promisable<TWriteResponse[], never>

  Inherited from StashArchivist.commit

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:18

### `Optional` delete

- delete(ids): PromisableArray<boolean, never>

- #### Parameters

  - ##### ids: TId[]

  #### Returns PromisableArray<boolean, never>

  Inherited from WriteArchivist.delete

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:14

### get

- get(ids): NullablePromisableArray<TReadResponse, never>

- #### Parameters

  - ##### ids: TId[]

  #### Returns NullablePromisableArray<TReadResponse, never>

  Inherited from ReadArchivist.get

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:10

### insert

- insert(item): PromisableArray<TWriteResponse, never>

- #### Parameters

  - ##### item: TWrite[]

  #### Returns PromisableArray<TWriteResponse, never>

  Inherited from WriteArchivist.insert

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:15

Generated using TypeDoc